Submit a ticketCall us
Home > Success Center > Archive > 2017December12 - Deletes > Unauthorized access to Web Help Desk running an external PostgreSQL 9.2 database

Unauthorized access to Web Help Desk running an external PostgreSQL 9.2 database

Overview

Web Help Desk configurations running an external PostgreSQL 9.2 database may be vulnerable to unauthorized access.

Environment

  • All WHD versions
  • PostgreSQL 9.2.4 or earlier

Cause

PostgreSQL releases prior to version 9.2.4 may allow remote, unauthorized users to access an external PostgreSQL database.

Resolution

If you are running Web Help Desk with an external PostgreSQL database, upgrade your PostgreSQL database to version 9.2.4 or later.
See your PostgreSQL documentation for information about upgrading your database.

 

Last modified

Tags

Classifications

Public